package com.xzzn.ems.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;
import com.xzzn.common.core.domain.BaseEntity;

/**
 * 数据对象 ems_ems_data
 * 
 * @author xzzn
 * @date 2025-12-09
 */
public class EmsEmsData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataUpdateTime;

    /** EMS控制模式 */
    @Excel(name = "EMS控制模式")
    private BigDecimal emsStatus;

    /** BMS1SOC */
    @Excel(name = "BMS1SOC")
    private BigDecimal bms1Soc;

    /** BMS2SOC */
    @Excel(name = "BMS2SOC")
    private BigDecimal bms2Soc;

    /** BMS3SOC */
    @Excel(name = "BMS3SOC")
    private BigDecimal bms3Soc;

    /** BMS4SOC */
    @Excel(name = "BMS4SOC")
    private BigDecimal bms4Soc;

    /** PCS-1有功功率 */
    @Excel(name = "PCS-1有功功率")
    private BigDecimal pcs1Yggl;

    /** PCS-2有功功率 */
    @Excel(name = "PCS-2有功功率")
    private BigDecimal pcs2Yggl;

    /** PCS-3有功功率 */
    @Excel(name = "PCS-3有功功率")
    private BigDecimal pcs3Yggl;

    /** PCS-4有功功率 */
    @Excel(name = "PCS-4有功功率")
    private BigDecimal pcs4Yggl;

    /** EMS有功功率 */
    @Excel(name = "EMS有功功率")
    private BigDecimal emsYggl;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDataUpdateTime(Date dataUpdateTime) 
    {
        this.dataUpdateTime = dataUpdateTime;
    }

    public Date getDataUpdateTime() 
    {
        return dataUpdateTime;
    }

    public void setEmsStatus(BigDecimal emsStatus)
    {
        this.emsStatus = emsStatus;
    }

    public BigDecimal getEmsStatus()
    {
        return emsStatus;
    }

    public void setBms1Soc(BigDecimal bms1Soc) 
    {
        this.bms1Soc = bms1Soc;
    }

    public BigDecimal getBms1Soc() 
    {
        return bms1Soc;
    }

    public void setBms2Soc(BigDecimal bms2Soc) 
    {
        this.bms2Soc = bms2Soc;
    }

    public BigDecimal getBms2Soc() 
    {
        return bms2Soc;
    }

    public void setBms3Soc(BigDecimal bms3Soc) 
    {
        this.bms3Soc = bms3Soc;
    }

    public BigDecimal getBms3Soc() 
    {
        return bms3Soc;
    }

    public void setBms4Soc(BigDecimal bms4Soc) 
    {
        this.bms4Soc = bms4Soc;
    }

    public BigDecimal getBms4Soc() 
    {
        return bms4Soc;
    }

    public void setPcs1Yggl(BigDecimal pcs1Yggl) 
    {
        this.pcs1Yggl = pcs1Yggl;
    }

    public BigDecimal getPcs1Yggl() 
    {
        return pcs1Yggl;
    }

    public void setPcs2Yggl(BigDecimal pcs2Yggl) 
    {
        this.pcs2Yggl = pcs2Yggl;
    }

    public BigDecimal getPcs2Yggl() 
    {
        return pcs2Yggl;
    }

    public void setPcs3Yggl(BigDecimal pcs3Yggl) 
    {
        this.pcs3Yggl = pcs3Yggl;
    }

    public BigDecimal getPcs3Yggl() 
    {
        return pcs3Yggl;
    }

    public void setPcs4Yggl(BigDecimal pcs4Yggl) 
    {
        this.pcs4Yggl = pcs4Yggl;
    }

    public BigDecimal getPcs4Yggl() 
    {
        return pcs4Yggl;
    }

    public void setEmsYggl(BigDecimal emsYggl) 
    {
        this.emsYggl = emsYggl;
    }

    public BigDecimal getEmsYggl() 
    {
        return emsYggl;
    }

    public void setSiteId(String siteId) 
    {
        this.siteId = siteId;
    }

    public String getSiteId() 
    {
        return siteId;
    }

    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataUpdateTime", getDataUpdateTime())
            .append("emsStatus", getEmsStatus())
            .append("bms1Soc", getBms1Soc())
            .append("bms2Soc", getBms2Soc())
            .append("bms3Soc", getBms3Soc())
            .append("bms4Soc", getBms4Soc())
            .append("pcs1Yggl", getPcs1Yggl())
            .append("pcs2Yggl", getPcs2Yggl())
            .append("pcs3Yggl", getPcs3Yggl())
            .append("pcs4Yggl", getPcs4Yggl())
            .append("emsYggl", getEmsYggl())
            .append("siteId", getSiteId())
            .append("deviceId", getDeviceId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
